Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2261360 - luxcorerender: FTBFS in Fedora rawhide/f40
Summary: luxcorerender: FTBFS in Fedora rawhide/f40
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: luxcorerender
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2024-01-29 20:44 UTC by Fedora Release Engineering
Modified: 2024-04-25 01:00 UTC (History)
4 users (show)

Fixed In Version: luxcorerender-2.7-0.18.beta1.fc40
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-04-25 01:00:16 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2024-01-29 20:44 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2024-01-29 20:45 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2024-01-29 20:45 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2024-01-29 20:44:53 UTC
luxcorerender failed to build from source in Fedora rawhide/f40

https://koji.fedoraproject.org/koji/taskinfo?taskID=112322034


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild
Please fix luxcorerender at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
luxcorerender will be orphaned. Before branching of Fedora 41,
luxcorerender will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2024-01-29 20:44:59 UTC
Created attachment 2012575 [details]
build.log

Comment 2 Fedora Release Engineering 2024-01-29 20:45:04 UTC
Created attachment 2012576 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2024-01-29 20:45:08 UTC
Created attachment 2012577 [details]
state.log

Comment 4 Fedora Update System 2024-04-23 03:43:38 UTC
FEDORA-2024-45862e3ed9 has been pushed to the Fedora 40 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-45862e3ed9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-45862e3ed9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2024-04-25 01:00:16 UTC
FEDORA-2024-45862e3ed9 (blender-4.1.1-3.fc40, luxcorerender-2.7-0.18.beta1.fc40, and 4 more) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.